export barker

"""
    barker::Dict

This dictionary contains the known Barker sequences (or "codes"), as tuples. The keys
and codes are:

```jl
    "2a" => (1, 1)
    "2b" => (1, -1)
    "3"  => (1, 1, -1)
    "4a" => (1, 1, -1, 1)
    "4b" => (1, 1, 1, -1)
    "5"  => (1, 1, 1, -1, 1)
    "7"  => (1, 1, 1, -1, -1, 1, -1)
    "11" => (1, 1, 1, -1, -1, -1, 1, -1, -1, 1, -1)
    "13" => (1, 1, 1, 1, 1, -1, -1, 1, 1, -1, 1, -1 , 1)
```
"""
const barker = Dict(
    "2a" => (1, 1),
    "2b" => (1, -1),
    "3"  => (1, 1, -1),
    "4a" => (1, 1, -1, 1),
    "4b" => (1, 1, 1, -1),
    "5"  => (1, 1, 1, -1, 1),
    "7"  => (1, 1, 1, -1, -1, 1, -1),
    "11" => (1, 1, 1, -1, -1, -1, 1, -1, -1, 1, -1),
    "13" => (1, 1, 1, 1, 1, -1, -1, 1, 1, -1, 1, -1 , 1),
)
